Subject: o_n_c()

From: [email-masked] (Jay A. Carlson)
Date: Thu, 31 Dec 1992 00:11:49 -0800

Gee, that's interesting.  My reading of the documentation seemed to
    suggest that o_n_c() would expect the other end to log in as a
    character within five minutes or the connection would be closed, which
    never made much sense to me in terms of functionality.  I gather that
    this it not the case; correct?  I haven't been there yet to check out
    the code; can you suggest some good object ID's to look at?

This is almost true; the server will boot unlogged-in connections that
have been IDLE for five minutes.  Note that this length of time is
selectable in options.h, and the booting can be disabled completely.

Also, you can hack #0:do_login_command() to automatically log in
connections as fake players as soon as it notices them; this is what
$network:open() does on JH, and the OrbitNet links use this.  The only
bad thing about this is that the server will send `*** Connected ***'
to the connection.  For things like OrbitNet this is OK but for, say,
finger, this is a killer.  Fortunately, finger can be done nicely with
unlogged-in connections, since it (hopefully) won't be idle for over
five minutes....

If you're interested in this, log into JaysHouse, @chparent me to
$prog, and peer at #0:stuff, $network, $gopher, #370 and #379,
although I have to admit I don't know much about #379, the batch
network query services room, or $gopher.

I'm very interested in seeing what network services can be mapped onto
a MUD nicely; one thing I'm thinking about now is hooking up with our
online card catalog, to create a library people can browse. 

Looking for a book?  Wave your magic wand and make the library be
sorted by subject.  Or maybe it would be more convenient right now to
have this particular shelf sorted by author.  Grab the book off the
shelf and carry it down to the circulation desk and check it out
(reserve it) with your library card (which has your ID on it).

I'm currently writing a minipaper on direct MOO to MOO networking and
the design of OrbitNet, so this is kinda on the back burner for now,
but this is something I'd actually use, so.

Jay Carlson
[email-masked]
JaysHouseMOO is at theory.cs.mankato.msus.edu port 1709.